"""Module listing possible 2/3-dart finishes."""

FINISHES = {
    "41": [["1", "D20"], ["9", "D16"]],
    "42": [["2", "D20"], ["10", "D16"]],
    "43": [["3", "D20"], ["11", "D16"]],
    "44": [["4", "D20"], ["12", "D16"]],
    "45": [["5", "D20"], ["13", "D16"]],
    "46": [["6", "D20"], ["14", "D16"]],
    "47": [["7", "D20"], ["15", "D16"]],
    "48": [["8", "D20"], ["16", "D16"]],
    "49": [["9", "D20"], ["17", "D16"]],
    "50": [["10", "D20"], ["18", "D16"]],
    "51": [["11", "D20"], ["19", "D16"]],
    "52": [["12", "D20"], ["20", "D16"]],
    "53": [["13", "D20"], ["17", "D18"]],
    "54": [["14", "D20"], ["18", "D18"]],
    "55": [["15", "D20"], ["19", "D18"]],
    "56": [["16", "D20"], ["20", "D18"]],
    "57": [["17", "D20"]],
    "58": [["18", "D20"]],
    "59": [["19", "D20"]],
    "60": [["20", "D20"]],
    "61": [["T15", "D8"], ["T11", "D14"]],
    "62": [["T10", "D16"], ["T12", "D13"]],
    "63": [["T13", "D12"], ["T17", "D6"]],
    "64": [["T16", "D8"], ["T14", "D11"]],
    "65": [["T11", "D16"], ["T19", "D4"], ["T15", "D10"]],
    "66": [["T10", "D18"], ["T18", "D6"], ["T16", "D9"]],
    "67": [["T9", "D20"], ["T17", "D8"]],
    "68": [["T16", "D10"], ["T18", "D7"]],
    "69": [["T19", "D6"]],
    "70": [["T18", "D8"], ["T20", "D5"]],
    "71": [["T13", "D16"], ["T19", "D7"]],
    "72": [["T16", "D12"], ["T20", "D6"]],
    "73": [["T19", "D8"]],
    "74": [["T14", "D16"], ["T16", "D13"]],
    "75": [["T17", "D12"]],
    "76": [["T20", "D8"], ["T16", "D14"]],
    "77": [["T19", "D10"]],
    "78": [["T18", "D12"]],
    "79": [["T19", "D11"], ["T13", "D20"]],
    "80": [["T20", "D10"]],
    "81": [["T19", "D12"], ["T15", "D18"]],
    "82": [["DB", "D16"], ["B", "17", "D20"], ["T14", "D20"]],
    "83": [["T17", "D16"]],
    "84": [["T20", "D12"]],
    "85": [["T15", "D20"], ["T19", "D14"]],
    "86": [["T18", "D16"]],
    "87": [["T17", "D18"]],
    "88": [["T20", "D14"]],
    "89": [["T19", "D16"]],
    "90": [["T20", "D15"], ["T18", "D18"]],
    "91": [["T17", "D20"], ["SB", "T16", "D9"]],
    "92": [["T20", "D16"], ["SB", "T17", "D8"]],
    "93": [["T19", "D18"], ["SB", "T18", "D7"]],
    "94": [["T18", "D20"], ["SB", "T19", "D6"]],
    "95": [["T19", "D19"], ["SB", "T20", "D5"]],
    "96": [["T20", "D18"]],
    "97": [["T19", "D20"]],
    "98": [["T20", "D19"]],
    "99": [["T19", "10/6", "D16/D18"]],
    "100": [["T20", "D20"]],
    "101": [["T20", "9", "D16"], ["T17", "DB"]],
    "102": [["T20", "10/6", "D16/D18"]],
    "103": [["T19", "6/10", "D20/D18"]],
    "104": [["T19", "15", "D16"], ["T18", "DB"]],
    "105": [["T20", "13", "D16"]],
    "106": [["T20", "T10", "D8"]],
    "107": [["T19", "T10", "D10"], ["T19", "DB"]],
    "108": [["T20", "16/8", "D16/D20"]],
    "109": [["T20", "9", "D20"]],
    "110": [["T20", "T10", "D10"], ["T20", "DB"]],
    "111": [["T19", "14", "D20"], ["T20", "11", "D20"]],
    "112": [["T20", "T12", "D8"]],
    "113": [["T19", "16", "D20"]],
    "114": [["T19", "17", "D20"], ["T20", "14", "D20"]],
    "115": [["T20", "15", "D20"], ["T19", "18", "D20"]],
    "116": [["T19", "19", "D20"], ["T20", "16", "D20"]],
    "117": [["T19", "20", "D20"], ["T20", "17", "D20"]],
    "118": [["T20", "18", "D20"]],
    "119": [["T19", "T12", "D13"]],
    "120": [["T20", "20", "D20"]],
    "121": [["T20", "T11", "D14"], ["T17", "T20", "D5"]],
    "122": [["T18", "T18", "D7"]],
    "123": [["T19", "T16", "D9"]],
    "124": [["T20", "T14", "D11"]],
    "125": [["T18", "T19", "D7"], ["T20", "T15", "D10"]],
    "126": [["T19", "T19", "D6"]],
    "127": [["T20", "T17", "D8"]],
    "128": [["T18", "T14", "D16"], ["T20", "T18", "D7"]],
    "129": [["T19", "T16", "D12"], ["T20", "T19", "D6"]],
    "130": [["T20", "T20", "D5"]],
    "131": [["T19", "T14", "D16"], ["T20", "T13", "D16"]],
    "132": [["T20", "T16", "D12"], ["SB", "T19", "DB"]],
    "133": [["T20", "T19", "D8"]],
    "134": [["T20", "T16", "D13"]],
    "135": [["T20", "T17", "D12"], ["SB", "T20", "DB"]],
    "136": [["T20", "T20", "D8"]],
    "137": [["T20", "T19", "D10"]],
    "138": [["T20", "T18", "D12"], ["T19", "T19", "D12"]],
    "139": [["T20", "T13", "D20"], ["T20", "T19", "D11"]],
    "140": [["T20", "T20", "D10"]],
    "141": [["T20", "T19", "D12"]],
    "142": [["T20", "T14", "D20"], ["T19", "T19", "D14"]],
    "143": [["T20", "T17", "D16"], ["T19", "T18", "D16"]],
    "144": [["T20", "T20", "D12"]],
    "145": [["T20", "T19", "D14"]],
    "146": [["T20", "T18", "D16"], ["T19", "T19", "D16"]],
    "147": [["T20", "T17", "D18"], ["T19", "T18", "D18"]],
    "148": [["T20", "T20", "D14"], ["T19", "T17", "D20"]],
    "149": [["T20", "T19", "D16"]],
    "150": [["T20", "T18", "D18"], ["T19", "T19", "D18"]],
    "151": [["T20", "T17", "D20"], ["T19", "T18", "D20"]],
    "152": [["T20", "T20", "D16"]],
    "153": [["T20", "T19", "D18"]],
    "154": [["T20", "T18", "D20"]],
    "155": [["T20", "T19", "D19"]],
    "156": [["T20", "T20", "D18"]],
    "157": [["T20", "T19", "D20"]],
    "158": [["T20", "T20", "D19"]],
    "160": [["T20", "T20", "D20"]],
    "161": [["T20", "T17", "DB"]],
    "164": [["T20", "T18", "DB"], ["T19", "T19", "DB"]],
    "167": [["T20", "T19", "DB"]],
    "170": [["T20", "T20", "DB"]],
}
